#ifndef CELP_PLL_H

typedef struct {
    uint32_t freq;
    int accum;
    int divisor;
    int min_freq_mag;
    int freq0;
} CELP_PLL_state;

int32_t CELP_PLL_osc(CELP_PLL_state *state,
                     int32_t sample_in);

int32_t CELP_PLL_osc_s(CELP_PLL_state *state,
                       int32_t sample_in);

extern CELP_PLL_state PLL_state1;
extern CELP_PLL_state PLL_state2;
extern CELP_PLL_state PLL_state3;

#define CELP_PLL_H
#endif
